Description

Hi,

Exporting to DXF currently uses the CRS of each layer to output a drawing.  The result is layers are spread out chaotically in the drawing. 

Converting all layers to the same projection is not practical since many users will use the same layer in multiple projects of differing

projection.  Currently, a user needs to convert all layers to the same projection so that they export properly in the DXF.  I think this is

counter-productive and against the 'spirit' of having 'on-the-fly' functionality.

I am willing to investigate the issue and possibly provide a patch but I need some help.  I am a novice programmer but if someone could

point out which files contain the DXF export code and a quick explanation of how the 'On-the-fly' projection code is accessed, I think I

could produce something fairly quickly.

Thanks for reading.

History

#1 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#4 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2019-01-26 10:15 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

implemented in commit:62ea90c59c22d679750126e2ab654643ff40e1fa
